#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int t;
    cin >> t;
    while(t--){
        int n;
        cin >> n;
        int q;
        cin >> q;
        vector<int> v(n);
        vector<int> f(n+1);
        for(int i=0; i<n; i++){
            cin >> v[i];
            f[i+1]=f[i]+v[i];
        }
        int ans=0;
        for(int i=0; i<n; i++){
            for(int j=i; j<n; j++){
                if((f[j+1]-f[i])*100>=q*(j-i+1))
                    ans++;
            }
        }
        cout << ans << " ";
    }
}
